--- src/lib/isc/eventlib.c.orig	Thu Jul  4 15:01:28 2002
+++ src/lib/isc/eventlib.c	Thu Jul  4 15:02:04 2002
@@ -293,9 +293,15 @@
 			evPrintf(ctx, 4,
 				"pselect(%d, 0x%lx, 0x%lx, 0x%lx, %d.%09ld)\n",
 				 ctx->fdMax+1,
+#ifdef __linux__
+				 (u_long)ctx->rdLast.__fds_bits[0],
+				 (u_long)ctx->wrLast.__fds_bits[0],
+				 (u_long)ctx->exLast.__fds_bits[0],
+#else
 				 (u_long)ctx->rdLast.fds_bits[0],
 				 (u_long)ctx->wrLast.fds_bits[0],
 				 (u_long)ctx->exLast.fds_bits[0],
+#endif
 				 tp ? (long)tp->tv_sec : -1L,
 				 tp ? tp->tv_nsec : -1);
 
--- src/lib/isc/ev_files.c.orig	Thu Jul  4 15:01:42 2002
+++ src/lib/isc/ev_files.c	Thu Jul  4 15:01:54 2002
@@ -146,9 +146,15 @@
 	evPrintf(ctx, 5,
 		"evSelectFD(fd %d, mask 0x%x): new masks: 0x%lx 0x%lx 0x%lx\n",
 		 fd, eventmask,
+#ifdef __linux__
+		 (u_long)ctx->rdNext.__fds_bits[0],
+		 (u_long)ctx->wrNext.__fds_bits[0],
+		 (u_long)ctx->exNext.__fds_bits[0]);
+#else
 		 (u_long)ctx->rdNext.fds_bits[0],
 		 (u_long)ctx->wrNext.fds_bits[0],
 		 (u_long)ctx->exNext.fds_bits[0]);
+#endif
 
 	return (0);
 }
@@ -262,9 +268,15 @@
 	evPrintf(ctx, 5,
 	      "evDeselectFD(fd %d, mask 0x%x): new masks: 0x%lx 0x%lx 0x%lx\n",
 		 del->fd, eventmask,
+#ifdef __linux__
+		 (u_long)ctx->rdNext.__fds_bits[0],
+		 (u_long)ctx->wrNext.__fds_bits[0],
+		 (u_long)ctx->exNext.__fds_bits[0]);
+#else
 		 (u_long)ctx->rdNext.fds_bits[0],
 		 (u_long)ctx->wrNext.fds_bits[0],
 		 (u_long)ctx->exNext.fds_bits[0]);
+#endif
 
 	/* Couldn't free it before now since we were using fields out of it. */
 	FREE(del);
Index: src/port/solaris/include/port_after.h
--- src/port/solaris/include/port_after.h.orig	2005-02-18 12:28:23.703175502 +0100
+++ src/port/solaris/include/port_after.h	2005-02-18 12:27:28.150590319 +0100
@@ -8,7 +8,9 @@
 #define NETREAD_BROKEN
 #define USE_WAITPID
 #define HAVE_FCHMOD
+#if (OS_MAJOR == 5 && OS_MINOR < 10)
 #define NEED_PSELECT
+#endif
 #define SETGRENT_VOID
 #define SETPWENT_VOID
 #define SIOCGIFCONF_ADDR
